Skip to Content
goldflow.cc Docs
ImagesMidjourney

Midjourney 提交绘图

POST
/mj/submit/imagine

提交 Midjourney 绘图任务。可在 prompt 中携带 Midjourney 参数,例如 --v 6.1、--ar 1:1、--fast、--relax。

如需使用快速或休闲专用入口,也可以在兼容网关上使用对应前缀路径:mj-fast/mj/submit/imagine 或 mj-relax/mj/submit/imagine。

Authorization

bearerAuth
headerAuthorizationBearer <API key>

使用 Authorization Bearer API Key 进行鉴权。

Request Body

application/json
  1. body
state?string

客户端自定义状态,会随回调或任务流转透传。

notifyHook?string

任务完成后的回调地址;为空时不主动回调。

Formaturi
botType?string

Midjourney 机器人类型。

prompt*string

Midjourney 绘图提示词,可包含版本、比例、速度等 Midjourney 参数。

base64Array?array<string>

图片 Base64 Data URL 数组,用于垫图或参考图。

accountFilter?

上游账号过滤条件,通常留空。

[key: string]?any

Response Body

Midjourney 任务提交响应。

application/json
  1. response

Midjourney 任务提交响应。

code?integer

提交结果码。1 通常表示提交成功,其他值表示排队、重复、敏感词或错误。

description?string

提交结果描述。

result?string

Midjourney 任务 ID。

properties?

上游返回的扩展属性,例如队列信息、已存在任务状态或翻译后的提示词。

[key: string]?any
Example Request
curl -X POST 'https://goldflow.cc/mj/submit/imagine' \  -H 'Content-Type: application/json' \  -d '{  "state": "",  "notifyHook": "",  "botType": "MID_JOURNEY",  "prompt": "a girl --v 6.1 --ar 1:1",  "base64Array": [],  "accountFilter": {}}'
Example Response
{  "code": 0,  "description": "string",  "result": "string",  "properties": {}}